
TYPO3.Flow - Bug # 8317

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Core
Created: 2010-06-17 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Parse Error in FLOW3 script with PHP < 5.3
Description

When calling php Packages\Framework\FLOW3\Scripts\FLOW3.php with PHP 5.2.x I'm getting a parse error.

$className = '\F3\FLOW3\Core\Bootstrap';
$className::defineConstants();

should have been the workaround to prevent the parser from dying with a parse error. But the second line throws
Parse error: parse error in Packages\Framework\FLOW3\Scripts\FLOW3.php on line 38

on my windows machine with PHP 5.2.10-dev

Associated revisions
Revision 07ca210c - 2010-10-07 20:53 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Core): Fix parse error on PHP < 5.3

Now anyone using PHP < 5.3 gets a proper error message again.

Change-Id: I952037d183a040d62ac16347fcf0c560f6026161
Fixes: #8317

History
#1 - 2010-09-10 18:19 - Karsten Dambekalns
- Project changed from 30 to TYPO3.Flow
- Category deleted (323)

#2 - 2010-09-26 22:25 - Karsten Dambekalns
- Category set to Core
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns
- Start date changed from 2010-06-17 to 2010-09-26
- Estimated time set to 1.00

Without that line, does the version check work as intended?

2015-08-03 1/2



#3 - 2010-10-07 18:12 - Christian Müller

Without 
$className::defineConstants();

the version check works (just tested). Idea would be to move the version check to /Web/index.php. There it works (tested too).

#4 - 2010-10-07 20:59 - Karsten Dambekalns
- Status changed from Needs Feedback to Under Review
- Target version set to 1.0 alpha 12

#5 - 2010-10-08 10:15 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"07ca210c6a1f16c67b7a571ba52c901c05da4dd7".
